built by solve-studio

Privacy·Terms

Loop Developers
Loop Developers
API ReferenceMCPDashboard

Introduction

Loop Developer APIGetting Started

Reference

API ReferenceProjectsFeedbackCommentsBoardsTicketsClients
MCP ServerMCP SetupMCP Tools

Other

Rate Limits
API Reference

Boards

Access Kanban board lists and cards.

List board lists

Returns all lists (columns) for a board project, ordered by position.

GET /api/v1/boards/lists?project_id=:project_id

Query parameters

ParameterTypeRequiredDescription
project_idstringYesBoard project ID

Response

{
  "data": [
    {
      "id": "list-001",
      "project_id": "proj-002",
      "name": "To Do",
      "position": 0,
      "created_at": "2025-06-10T08:00:00Z"
    },
    {
      "id": "list-002",
      "project_id": "proj-002",
      "name": "In Progress",
      "position": 1,
      "created_at": "2025-06-10T08:00:00Z"
    },
    {
      "id": "list-003",
      "project_id": "proj-002",
      "name": "Done",
      "position": 2,
      "created_at": "2025-06-10T08:00:00Z"
    }
  ],
  "meta": { "total": 3, "limit": 100, "offset": 0 }
}

Errors

StatusError
400project_id query parameter is required
404Project not found

List board cards

Returns cards with optional filters and pagination.

GET /api/v1/boards/cards

Query parameters

ParameterTypeDefaultDescription
project_idstring—Filter by project
list_idstring—Filter by list (column)
limitnumber50Results per page (max 100)
offsetnumber0Items to skip

Response

{
  "data": [
    {
      "id": "card-001",
      "list_id": "list-001",
      "project_id": "proj-002",
      "title": "Implement dark mode",
      "description": "Add theme toggle to settings page",
      "labels": [
        { "color": "#8B5CF6", "text": "feature" }
      ],
      "due_date": "2025-07-01",
      "checklist": [
        { "id": "check-1", "text": "Add ThemeProvider", "checked": true },
        { "id": "check-2", "text": "Update CSS variables", "checked": false }
      ],
      "attachments": [],
      "author_name": null,
      "position": 0,
      "created_at": "2025-06-12T09:00:00Z"
    }
  ],
  "meta": { "total": 1, "limit": 50, "offset": 0 }
}

Card fields

FieldTypeDescription
idstringCard ID
list_idstringParent list ID
project_idstringBoard project ID
titlestringCard title
descriptionstring | nullCard description (markdown)
labelsarrayArray of { color, text } label objects
due_datestring | nullDue date (ISO format)
checklistarrayArray of { id, text, checked } items
attachmentsarrayArray of { name, url, mimeType, bytes }
author_namestring | nullOriginal author (from imports)
positionnumberSort position within list
created_atstringISO 8601 timestamp

Create card

Create a new card on a board project. The card is appended to the end of the specified list.

POST /api/v1/boards/cards

Request body

FieldTypeRequiredDescription
project_idstringYesBoard project ID
list_idstringYesTarget list/column ID
titlestringYesCard title
descriptionstringNoCard description (markdown)
labelsarrayNoArray of { color, text } label objects
author_namestringNoAuthor name to display on the card

Example

curl -X POST \
  -H "Authorization: Bearer $TOKEN" \
  -H "Content-Type: application/json" \
  -d '{
    "project_id": "proj-002",
    "list_id": "list-001",
    "title": "Add dark mode toggle",
    "description": "Implement a theme toggle in the settings page",
    "labels": [{"color": "#8B5CF6", "text": "feature"}]
  }' \
  https://loop.solve-studio.co/api/v1/boards/cards

Response (201)

{
  "data": {
    "id": "card-042",
    "list_id": "list-001",
    "project_id": "proj-002",
    "title": "Add dark mode toggle",
    "description": "Implement a theme toggle in the settings page",
    "labels": [{ "color": "#8B5CF6", "text": "feature" }],
    "due_date": null,
    "checklist": null,
    "attachments": null,
    "author_name": null,
    "position": 3,
    "created_at": "2025-06-15T10:30:00Z"
  }
}

Errors

StatusError
400project_id, list_id, and title are required
404Project not found in this organization
404List not found in this project

Get card

Retrieve a single board card with all fields.

GET /api/v1/boards/cards/:id

Path parameters

ParameterTypeDescription
idstringCard ID

Errors

StatusError
404Card not found

Update card

Update a board card's fields.

PATCH /api/v1/boards/cards/:id

Path parameters

ParameterTypeDescription
idstringCard ID

Request body

FieldTypeDescription
titlestringUpdated title
descriptionstringUpdated description
labelsarrayUpdated labels array
due_datestring | nullUpdated due date
checklistarrayUpdated checklist items
list_idstringMove to a different list
positionnumberNew position within list

All fields are optional. At least one must be provided.

Example

# Move a card to the "Done" list
curl -X PATCH \
  -H "Authorization: Bearer $TOKEN" \
  -H "Content-Type: application/json" \
  -d '{"list_id": "list-003"}' \
  https://loop.solve-studio.co/api/v1/boards/cards/card-001

Errors

StatusError
400No valid fields to update
404Card not found

Comments

List and create comments on feedback items.

Tickets

List, update, and generate AI-powered developer tickets.

On this page

List board listsQuery parametersResponseErrorsList board cardsQuery parametersResponseCard fieldsCreate cardRequest bodyExampleResponse (201)ErrorsGet cardPath parametersErrorsUpdate cardPath parametersRequest bodyExampleErrors